class IDataScraperState:
    def __init__(self) -> None:
        self._finished = False

    def finished(self) -> bool:
        return self._finished

class IDataScraper:
    def __init__(self) -> None:
        self.name = ""

    def __str__(self) -> str:
        return self.name

    @staticmethod
    def get_home_page() -> str:
        return ""

    def scrap_data() -> IDataScraperState:
        pass
