
from DataCollectingScraper.models.SingleOffer import SingleOffer

import csv

class SingleOfferCSVWriter:
    @staticmethod
    def save_to_file(file_name: str, offer: SingleOffer):
        with open(file_name, mode="a", newline="") as file:
            writer = csv.DictWriter(file, fieldnames=offer.get_columns_names())
            if file.tell() == 0:
                writer.writeheader()
            writer.writerows([offer.get_dict_repr()])
